Bug 21482 - [patch] "keep" setting does not persist when device comes back.
[patch] "keep" setting does not persist when device comes back.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-29 07:23 EST by Patrick C. F. Ernzer
Modified: 2014-03-16 22:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 15:25:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to kudzu to preserve 'detached' setting (2.38 KB, patch)
2003-06-07 10:34 EDT, Martin Ebourne
no flags Details | Diff

  None (edit)
Description Patrick C. F. Ernzer 2000-11-29 07:23:29 EST
if a device is removed from the system and 'keep configuration' is
selected, kudzu will ask again if the device was present in an intermediate
run but is removed at the current run.

As in: (*= run kudzu)

* laptop in docking station: devices detected, select 'configure'
* laptop out of docking station: missing devices detected, select 'keep'
* laptop in docking station: no message
* laptop out of docking station: missing devices detected again

IMHO there should be a selection for 'keep this time' and for 'always keep'.
Comment 1 Bill Nottingham 2002-01-23 01:48:10 EST
Actually, that indicates a bug. Apologies for the late response. Does this
behavior persist in 7.2?
Comment 2 Patrick C. F. Ernzer 2002-01-23 05:08:45 EST
Yes, this behaviour persists in RHL 7.2 (fully updated as of yesterday with RHN)
Comment 3 Aleksey Nogin 2002-09-23 17:40:32 EDT
This still behaves the same in 7.2 and in 7.3.94 ((null)) Public Beta.

1) Plug in a device, reboot, configure device in Kudzu
2) Unplug the device, reboot, select "keep" in Kudzu.
3) Plug, reboot.
4) Unplug, reboot.

Expected: the "keep" setting is remembered, Kudzu does not do anything.
Actual: Kudzu yet again asks whether to keep or remove the configuration.

This is pretty annoying, especially with laptops, where plugging/unplugging
devices is common. Especially annoying with docking stations - there kudzu will
ask the "keep" question for every device on the docking station...

P.S. Updated Severity and priority per notting's "that indicates a bug" comment.
I tend to agree - IMHO it's a bug.
Comment 4 Aleksey Nogin 2002-10-01 05:10:41 EDT
Still there is Psyche...
Comment 5 Aleksey Nogin 2003-01-06 05:23:52 EST
Still there in Phoebe
Comment 6 Aleksey Nogin 2003-05-17 16:33:07 EDT
Still there with kudzu-1.1.3-1.1
Comment 7 Martin Ebourne 2003-06-07 10:34:14 EDT
Created attachment 92237 [details]
Patch to kudzu to preserve 'detached' setting

Note that this changes compareDevice to also check the description. I find it
difficult to believe that this should not be checked - certainly I'm not aware
of any device that doesn't return a consistent description. However without it
compareDevice was matching up various completely unrelated USB devices (and
maybe others too).
Comment 8 Martin Ebourne 2003-06-07 10:39:51 EDT
Well didn't look like it was going to get fixed any other way, so please see the
patch I've added. I can't believe that the only laptop users who find this
behaviour extremely irritating are Aleksey and myself (to the point of me
disabling the kudzu 'service'). I've tested it on my laptop quite a bit and all
seems to work well.

Aleksey - I've rebuilt the RPMs with this patch. Feel free to give them a try.

http://www.ebourne.me.uk/downloads/kudzu-0.99.99-1keep.i386.rpm
http://www.ebourne.me.uk/downloads/kudzu-debuginfo-0.99.99-1keep.i386.rpm
http://www.ebourne.me.uk/downloads/kudzu-devel-0.99.99-1keep.i386.rpm
http://www.ebourne.me.uk/downloads/kudzu-0.99.99-1keep.src.rpm
Comment 9 Warren Togami 2004-06-14 21:17:44 EDT
Notting please review?
Comment 10 Bill Nottingham 2004-06-28 15:45:10 EDT
It checks the description, ergo, it's not correct for the general case.
Comment 11 Bill Nottingham 2005-09-23 15:25:28 EDT
As the interactive mode of kudzu has been removed in later releases (such as the
release shipped in FC4), changes in this area aren't planned.

Note You need to log in before you can comment on or make changes to this bug.